Skip to main content
Version: 1.0.0

Get world actor snapshot.

GET 

/game-data

Returns a snapshot object with metadata containing a list of all actors on the world at the moment of the call.

Request

Responses

game-data snapshot.

Schema

    Time string

    Snapshot timestamp ("YYYY-MM-DD HH:MM:SS", server local time, not ISO8601)

    FPS float

    Instantaneous server FPS.

    AverageFPS float

    Average server FPS.

    ActorData

    object[]

    Array of actors (Character / PalBox).

  • Array [

  • oneOf

    Type stringrequired

    Possible values: [Character]

    InstanceID string
    UnitType stringrequired

    Possible values: [Player, OtomoPal, BaseCampPal, WildPal, NPC]

    NickName string
    TrainerInstanceID string

    InstanceID of the owner character. Only applicable for OtomoPal/BaseCampPal.

    TrainerNickName string
    TrainerClass string
    userid string

    Player only.

    ip string
    level integer
    HP integer
    MaxHP integer
    GuildID string
    GuildName string
    Class string
    Action string
    AI_Action string
    LocationX floatrequired
    LocationY floatrequired
    LocationZ floatrequired
    RotationX float
    RotationY float
    RotationZ float
    Stage string
    IsActive string

    Possible values: [true, false]

  • ]

  • property name* any

    The root of the snapshot. Contains metadata and an array of actors.

Loading...